plugins {
    id 'com.android.library'
}

android {
    compileSdk 31

    defaultConfig {
        minSdk 24
        targetSdk 31

        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
        consumerProguardFiles "consumer-rules.pro"

        buildFeatures {
            viewBinding = true
        }
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }
}

dependencies {

    api 'androidx.appcompat:appcompat:1.4.0'
    api 'com.google.android.material:material:1.4.0'
    api 'androidx.constraintlayout:constraintlayout:2.0.4'
    api "androidx.fragment:fragment:1.4.1"
    api 'com.guolindev.permissionx:permissionx:1.6.1'

    api 'com.github.CymChad:BaseRecyclerViewAdapterHelper:3.0.6'
    api 'com.blankj:utilcodex:1.31.0'
    api 'org.greenrobot:eventbus:3.3.1'
    api 'com.google.code.gson:gson:2.8.9'
    api 'androidx.swiperefreshlayout:swiperefreshlayout:1.1.0'
    api 'com.github.bumptech.glide:glide:4.12.0'

    annotationProcessor 'com.github.bumptech.glide:compiler:4.12.0'
    api 'com.squareup.retrofit2:retrofit:2.9.0'
    api 'com.squareup.retrofit2:converter-gson:2.9.0'
    api 'com.squareup.okhttp3:logging-interceptor:3.5.0'

    api 'com.github.AlexLiuSheng:CheckVersionLib:2.4.1_androidx'
    api 'io.github.lucksiege:pictureselector:v2.7.3-rc10'
    api 'com.github.Justson.AgentWeb:agentweb-core:v4.1.9-androidx'
    api 'com.afollestad.material-dialogs:core:3.3.0'
    api 'com.afollestad.material-dialogs:bottomsheets:3.3.0'
    api 'com.contrarywind:Android-PickerView:4.1.9'

    api 'com.tencent.liteav:LiteAVSDK_TRTC:9.5.11207'
    api 'com.tencent.imsdk:imsdk-plus:6.0.1992'
    api 'de.hdodenhof:circleimageview:3.1.0'


    testImplementation 'junit:junit:4.13.2'
    androidTestImplementation 'androidx.test.ext:junit:1.1.3'
    androidTestImplementation 'androidx.test.espresso:espresso-core:3.4.0'

}